Bug 641714 - crashes on export
Summary: crashes on export
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gramps
Version: 13
Hardware: All
OS: Linux
low
high
Target Milestone: ---
Assignee: Jeffrey C. Ollie
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-10-10 14:16 UTC by udo
Modified: 2010-10-30 23:48 UTC (History)
2 users (show)

Fixed In Version: gramps-3.2.4-2.fc13
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-10-30 23:48:22 UTC


Attachments (Terms of Use)

Description udo 2010-10-10 14:16:06 UTC
Description of problem:
gramps crashes when I do an export

Version-Release number of selected component (if applicable):
gramps-3.2.2-1.fc13.noarch

How reproducible:
Install, type in a few centuries of family and related people. Export.

Steps to Reproduce:
1. Install 
2. Type in a few centuries of family and related people.
3. Export
  
Actual results:
Crash, see below.

Expected results:
No crash.


Additional info:
[New Thread 11134]
[New Thread 11143]
[New Thread 11259]
Core was generated by `/usr/bin/python -O /usr/share/gramps/gramps.py'.
Program terminated with signal 6, Aborted.
#0  0x00007f315a1559a5 in raise () from /lib64/libc.so.6

Thread 3 (Thread 11259):
#0  0x00007f315ab38729 in pthread_cond_timedwait@@GLIBC_2.3.2 ()
   from /lib64/libpthread.so.0
No symbol table info available.
#1  0x000000328c802382 in ?? () from /lib64/libgthread-2.0.so.0
No symbol table info available.
#2  0x000000328c0170b1 in ?? () from /lib64/libglib-2.0.so.0
No symbol table info available.
#3  0x000000328c0171f7 in g_async_queue_timed_pop ()
   from /lib64/libglib-2.0.so.0
No symbol table info available.
#4  0x000000328c066cba in ?? () from /lib64/libglib-2.0.so.0
No symbol table info available.
#5  0x000000328c064e84 in ?? () from /lib64/libglib-2.0.so.0
No symbol table info available.
#6  0x00007f315ab34761 in start_thread () from /lib64/libpthread.so.0
No symbol table info available.
#7  0x00007f315a20451d in clone () from /lib64/libc.so.6
No symbol table info available.

Thread 2 (Thread 11143):
#0  0x00007f315a1fae13 in poll () from /lib64/libc.so.6
No symbol table info available.
#1  0x00007f3147b4bc0f in ?? () from /usr/lib64/libpulse.so.0
No symbol table info available.
#2  0x00007f3147b3bae6 in pa_mainloop_poll () from /usr/lib64/libpulse.so.0
No symbol table info available.
#3  0x00007f3147b3cec9 in pa_mainloop_iterate () from /usr/lib64/libpulse.so.0
No symbol table info available.
#4  0x00007f3147b3cf80 in pa_mainloop_run () from /usr/lib64/libpulse.so.0
No symbol table info available.
#5  0x00007f3147b4ba0b in ?? () from /usr/lib64/libpulse.so.0
No symbol table info available.
#6  0x000000329e438878 in ?? () from /usr/lib64/libpulsecommon-0.9.21.so
No symbol table info available.
#7  0x00007f315ab34761 in start_thread () from /lib64/libpthread.so.0
No symbol table info available.
#8  0x00007f315a20451d in clone () from /lib64/libc.so.6
No symbol table info available.

Thread 1 (Thread 11134):
#0  0x00007f315a1559a5 in raise () from /lib64/libc.so.6
No symbol table info available.
#1  0x00007f315a157185 in abort () from /lib64/libc.so.6
No symbol table info available.
#2  0x000000328c04668a in g_logv () from /lib64/libglib-2.0.so.0
No symbol table info available.
#3  0x000000328c046723 in g_log () from /lib64/libglib-2.0.so.0
No symbol table info available.
#4  0x00000032938686e6 in ?? () from /usr/lib64/libgdk-x11-2.0.so.0
No symbol table info available.
#5  0x00007f3150405b24 in _XError () from /usr/lib64/libX11.so.6
No symbol table info available.
#6  0x00007f315040c6a6 in _XReply () from /usr/lib64/libX11.so.6
No symbol table info available.
#7  0x00007f31503e9457 in XGetWindowProperty () from /usr/lib64/libX11.so.6
No symbol table info available.
#8  0x00000032a1402040 in ca_gtk_proplist_set_for_widget ()
   from /usr/lib64/libcanberra-gtk.so.0
No symbol table info available.
#9  0x00000032a140257b in ca_gtk_proplist_set_for_event ()
   from /usr/lib64/libcanberra-gtk.so.0
No symbol table info available.
#10 0x00000032a1402ccb in ca_gtk_play_for_event ()
   from /usr/lib64/libcanberra-gtk.so.0
No symbol table info available.
#11 0x00007f314ee8dd06 in ?? ()
   from /usr/lib64/gtk-2.0/modules/libcanberra-gtk-module.so
No symbol table info available.
#12 0x00007f314ee8f193 in ?? ()
   from /usr/lib64/gtk-2.0/modules/libcanberra-gtk-module.so
No symbol table info available.
#13 0x000000329381d606 in ?? () from /usr/lib64/libgdk-x11-2.0.so.0
No symbol table info available.
#14 0x000000328c03bd02 in g_main_context_dispatch ()
   from /lib64/libglib-2.0.so.0
No symbol table info available.
#15 0x000000328c03fae8 in ?? () from /lib64/libglib-2.0.so.0
No symbol table info available.
#16 0x000000328c03fff5 in g_main_loop_run () from /lib64/libglib-2.0.so.0
No symbol table info available.
#17 0x0000003293d493c7 in gtk_main () from /usr/lib64/libgtk-x11-2.0.so.0
No symbol table info available.
#18 0x00007f3150892a16 in ?? ()
   from /usr/lib64/python2.6/site-packages/gtk-2.0/gtk/_gtk.so
No symbol table info available.
#19 0x00000032958dd768 in PyEval_EvalFrameEx ()
   from /usr/lib64/libpython2.6.so.1.0
No symbol table info available.
#20 0x00000032958de312 in PyEval_EvalFrameEx ()
   from /usr/lib64/libpython2.6.so.1.0
No symbol table info available.
#21 0x00000032958de312 in PyEval_EvalFrameEx ()
   from /usr/lib64/libpython2.6.so.1.0
No symbol table info available.
#22 0x00000032958df4e9 in PyEval_EvalCodeEx ()
   from /usr/lib64/libpython2.6.so.1.0
No symbol table info available.
#23 0x00000032958df5b2 in PyEval_EvalCode ()
   from /usr/lib64/libpython2.6.so.1.0
No symbol table info available.
#24 0x00000032958fa52c in ?? () from /usr/lib64/libpython2.6.so.1.0
No symbol table info available.
#25 0x00000032958fa600 in PyRun_FileExFlags ()
   from /usr/lib64/libpython2.6.so.1.0
No symbol table info available.
#26 0x00000032958fb9dc in PyRun_SimpleFileExFlags ()
   from /usr/lib64/libpython2.6.so.1.0
No symbol table info available.
#27 0x000000329590807d in Py_Main () from /usr/lib64/libpython2.6.so.1.0
No symbol table info available.
#28 0x00007f315a141c5d in __libc_start_main () from /lib64/libc.so.6
No symbol table info available.
#29 0x0000000000400649 in _start ()
No symbol table info available.
From                To                  Syms Read   Shared Object Library
0x000000329583c430  0x000000329591db98  Yes (*)     /usr/lib64/libpython2.6.so.1.0
0x00007f315ab32640  0x00007f315ab3de48  Yes (*)     /lib64/libpthread.so.0
0x00007f315a929de0  0x00007f315a92a998  Yes (*)     /lib64/libdl.so.2
0x00007f315a726e10  0x00007f315a727688  Yes (*)     /lib64/libutil.so.1
0x00007f315a4a5ea0  0x00007f315a4e5fa8  Yes (*)     /lib64/libm.so.6
0x00007f315a1419a0  0x00007f315a24e840  Yes (*)     /lib64/libc.so.6
0x00007f315ad49af0  0x00007f315ad61904  Yes (*)     /lib64/ld-linux-x86-64.so.2
0x00007f3159f219d0  0x00007f3159f21fe8  Yes (*)     /usr/lib64/python2.6/lib-dynload/syslog.so
0x00007f3159d1d8d0  0x00007f3159d1e898  Yes (*)     /usr/lib64/python2.6/lib-dynload/timemodule.so
0x00007f3159b17be0  0x00007f3159b19698  Yes (*)     /usr/lib64/python2.6/lib-dynload/selectmodule.so
0x00007f3159912d10  0x00007f3159913a18  Yes (*)     /usr/lib64/python2.6/lib-dynload/fcntlmodule.so
0x00007f315970b820  0x00007f315970e7a8  Yes (*)     /usr/lib64/python2.6/lib-dynload/_struct.so
0x00007f31595050c0  0x00007f3159506f58  Yes (*)     /usr/lib64/python2.6/lib-dynload/binascii.so
0x00007f3159300aa0  0x00007f3159301bd8  Yes (*)     /usr/lib64/python2.6/lib-dynload/cStringIO.so
0x00007f31590f3110  0x00007f31590f8898  Yes (*)     /usr/lib64/python2.6/lib-dynload/_socketmodule.so
0x00007f3158eeaf70  0x00007f3158eed958  Yes (*)     /usr/lib64/python2.6/lib-dynload/_ssl.so
0x0000003297c14500  0x0000003297c46708  Yes (*)     /usr/lib64/libssl.so.10
0x0000003295c5c900  0x0000003295d21288  Yes (*)     /lib64/libcrypto.so.10
0x00007f3158cbfc00  0x00007f3158ce0248  Yes (*)     /lib64/libgssapi_krb5.so.2
0x00007f3158a14540  0x00007f3158a6ff08  Yes (*)     /lib64/libkrb5.so.3
0x0000003296001220  0x0000003296001d08  Yes (*)     /lib64/libcom_err.so.2
0x00007f31587d55c0  0x00007f31587ee698  Yes (*)     /lib64/libk5crypto.so.3
0x000000328b401ef0  0x000000328b40d228  Yes (*)     /lib64/libz.so.1
0x00007f31585c96c0  0x00007f31585cd7c8  Yes (*)     /lib64/libkrb5support.so.0
0x0000003296c00aa0  0x0000003296c00fa8  Yes (*)     /lib64/libkeyutils.so.1
0x00007f31583b08c0  0x00007f31583bf528  Yes (*)     /lib64/libresolv.so.2
0x000000328bc05610  0x000000328bc15708  Yes (*)     /lib64/libselinux.so.1
0x00007f3152304dd0  0x00007f3152313028  Yes (*)     /usr/lib64/python2.6/lib-dynload/_ctypes.so
0x000000328cc01840  0x000000328cc060f8  Yes (*)     /usr/lib64/libffi.so.5
0x00007f31520f9080  0x00007f31520fb208  Yes (*)     /usr/lib64/python2.6/lib-dynload/mathmodule.so
0x00007f3151ef51c0  0x00007f3151ef5ee8  Yes (*)     /usr/lib64/python2.6/lib-dynload/_randommodule.so
0x0000003294c014b0  0x0000003294c02be8  Yes (*)     /lib64/libuuid.so.1
0x00007f3151cf1ec0  0x00007f3151cf2938  Yes (*)     /usr/lib64/python2.6/lib-dynload/_functoolsmodule.so
0x00007f3151aeda20  0x00007f3151aeefd8  Yes (*)     /usr/lib64/python2.6/lib-dynload/_localemodule.so
0x00007f31518e5eb0  0x00007f31518e7a28  Yes (*)     /usr/lib64/python2.6/lib-dynload/operator.so
0x00007f31516dd600  0x00007f31516dfdf8  Yes (*)     /usr/lib64/python2.6/lib-dynload/stropmodule.so
0x00007f3151496120  0x00007f31514989a8  Yes (*)     /usr/lib64/python2.6/lib-dynload/_collectionsmodule.so
0x00007f31511c70f0  0x00007f31511cc8a8  Yes (*)     /usr/lib64/python2.6/site-packages/gtk-2.0/glib/_glib.so
0x00007f3150fbe9a0  0x00007f3150fbf838  Yes (*)     /usr/lib64/libpyglib-2.0-python.so.0
0x000000328d808d20  0x000000328d832a78  Yes (*)     /lib64/libgobject-2.0.so.0
0x000000328c801590  0x000000328c8029f8  Yes (*)     /lib64/libgthread-2.0.so.0
0x00007f3150db7140  0x00007f3150dba5a8  Yes (*)     /lib64/librt.so.1
0x000000328c0155c0  0x000000328c099d58  Yes (*)     /lib64/libglib-2.0.so.0
0x00007f3150b9acf0  0x00007f3150bab658  Yes (*)     /usr/lib64/python2.6/site-packages/gtk-2.0/gobject/_gobject.so
0x00007f31507a83f0  0x00007f31508cf398  Yes (*)     /usr/lib64/python2.6/site-packages/gtk-2.0/gtk/_gtk.so
0x0000003293c681c0  0x0000003293f0d268  Yes (*)     /usr/lib64/libgtk-x11-2.0.so.0
0x000000329381d260  0x000000329387f2a8  Yes (*)     /usr/lib64/libgdk-x11-2.0.so.0
0x00000032934096b0  0x00000032934150f8  Yes (*)     /usr/lib64/libatk-1.0.so.0
0x0000003291019b60  0x00000032910812c8  Yes (*)     /lib64/libgio-2.0.so.0
0x0000003294407650  0x0000003294421348  Yes (*)     /usr/lib64/libpangoft2-1.0.so.0
0x0000003292005940  0x0000003292017ba8  Yes (*)     /usr/lib64/libgdk_pixbuf-2.0.so.0
0x0000003292404630  0x0000003292408eb8  Yes (*)     /usr/lib64/libpangocairo-1.0.so.0
0x0000003294809c50  0x000000329485b058  Yes (*)     /usr/lib64/libcairo.so.2
0x0000003292c0ede0  0x0000003292c2d768  Yes (*)     /usr/lib64/libpango-1.0.so.0
0x000000328e40c850  0x000000328e4745a8  Yes (*)     /usr/lib64/libfreetype.so.6
0x000000328f805c80  0x000000328f81ff28  Yes (*)     /usr/lib64/libfontconfig.so.1
0x000000328f001080  0x000000328f001fc8  Yes (*)     /lib64/libgmodule-2.0.so.0
0x00007f31503dcd80  0x00007f315046a938  Yes (*)     /usr/lib64/libX11.so.6
0x000000328e801370  0x000000328e804178  Yes (*)     /usr/lib64/libXfixes.so.3
0x000000328dc03530  0x000000328dc0e638  Yes (*)     /usr/lib64/libXext.so.6
0x00000032900018c0  0x0000003290007f58  Yes (*)     /usr/lib64/libXrender.so.1
0x0000003290c00a20  0x0000003290c01508  Yes (*)     /usr/lib64/libXinerama.so.1
0x000000328ec01f00  0x000000328ec0c7c8  Yes (*)     /usr/lib64/libXi.so.6
0x0000003290401720  0x0000003290406828  Yes (*)     /usr/lib64/libXrandr.so.2
0x0000003290802880  0x0000003290807678  Yes (*)     /usr/lib64/libXcursor.so.1
0x0000003292800b40  0x0000003292801908  Yes (*)     /usr/lib64/libXcomposite.so.1
0x0000003291400a90  0x0000003291401638  Yes (*)     /usr/lib64/libXdamage.so.1
0x000000328f404830  0x000000328f41e7a8  Yes (*)     /usr/lib64/libpng12.so.0
0x0000003293007230  0x0000003293051e78  Yes (*)     /usr/lib64/libpixman-1.so.0
0x000000328e003b70  0x000000328e01ca08  Yes (*)     /lib64/libexpat.so.1
0x000000328d008650  0x000000328d013898  Yes (*)     /usr/lib64/libxcb.so.1
0x000000328d400dd0  0x000000328d401b68  Yes (*)     /usr/lib64/libXau.so.6
0x00007f31501aeae0  0x00007f31501b5db8  Yes (*)     /usr/lib64/python2.6/site-packages/cairo/_cairo.so
0x00007f314ff63540  0x00007f314ff81ee8  Yes (*)     /usr/lib64/python2.6/site-packages/gtk-2.0/gio/_gio.so
0x00007f314fd40870  0x00007f314fd42108  Yes (*)     /usr/lib64/python2.6/site-packages/gtk-2.0/gio/unix.so
0x00007f314fb224c0  0x00007f314fb30868  Yes (*)     /usr/lib64/python2.6/site-packages/gtk-2.0/pango.so
0x00007f314f8dde40  0x00007f314f902d08  Yes (*)     /usr/lib64/python2.6/site-packages/gtk-2.0/atk.so
0x00007f314f6cde40  0x00007f314f6ced68  Yes (*)     /usr/lib64/python2.6/site-packages/gtk-2.0/pangocairo.so
0x00007f314f4c1110  0x00007f314f4c9258  Yes (*)     /lib64/libnss_files.so.2
0x00007f314f297bc0  0x00007f314f2b9818  Yes (*)     /usr/lib64/gtk-2.0/2.10.0/engines/libclearlooks.so
0x00007f314f092620  0x00007f314f092e08  Yes (*)     /usr/lib64/gtk-2.0/modules/libpk-gtk-module.so
0x00000032964090b0  0x0000003296419dd8  Yes (*)     /usr/lib64/libdbus-glib-1.so.2
0x0000003291c07090  0x0000003291c2e4c8  Yes (*)     /lib64/libdbus-1.so.3
0x00007f314ee8cfb0  0x00007f314ee8f1e8  Yes (*)     /usr/lib64/gtk-2.0/modules/libcanberra-gtk-module.so
0x00000032a1401c60  0x00000032a14030a8  Yes (*)     /usr/lib64/libcanberra-gtk.so.0
0x00000032a1803280  0x00000032a180c318  Yes (*)     /usr/lib64/libcanberra.so.0
0x000000329f801fa0  0x000000329f805fd8  Yes (*)     /usr/lib64/libvorbisfile.so.3
0x000000329b003700  0x000000329b01a718  Yes (*)     /usr/lib64/libvorbis.so.0
0x000000329ac018a0  0x000000329ac03bb8  Yes (*)     /usr/lib64/libogg.so.0
0x00000032a0801e30  0x00000032a0809ca8  Yes (*)     /usr/lib64/libtdb.so.1
0x000000329d402370  0x000000329d406758  Yes (*)     /usr/lib64/libltdl.so.7
0x00007f314ec74320  0x00007f314ec80858  Yes (*)     /usr/lib64/python2.6/site-packages/gtk-2.0/gnomevfs/_gnomevfs.so
0x000000329c817900  0x000000329c84f618  Yes (*)     /usr/lib64/libgnomevfs-2.so.0
0x0000003298811b30  0x000000329882da28  Yes (*)     /usr/lib64/libgconf-2.so.4
0x00007f314e944950  0x00007f314ea21048  Yes (*)     /usr/lib64/libxml2.so.2
0x0000003299400ca0  0x0000003299401aa8  Yes (*)     /usr/lib64/libavahi-glib.so.1
0x000000329dc03390  0x000000329dc08698  Yes (*)     /usr/lib64/libavahi-common.so.3
0x000000329a4038b0  0x000000329a40bf68  Yes (*)     /usr/lib64/libavahi-client.so.3
0x0000003298427990  0x000000329844b6a8  Yes (*)     /usr/lib64/libORBit-2.so.0
0x00007f314e6fa470  0x00007f314e70dd88  Yes (*)     /usr/lib64/python2.6/lib-dynload/_bsddb.so
0x00000032a0c238c0  0x00000032a0d4b588  Yes (*)     /lib64/libdb-4.8.so
0x00007f314e4f38d0  0x00007f314e4f3ba8  Yes (*)     /usr/lib64/python2.6/lib-dynload/_weakref.so
0x00007f314e2e3960  0x00007f314e2ee788  Yes (*)     /usr/lib64/python2.6/lib-dynload/cPickle.so
0x00007f314e0deb70  0x00007f314e0df1c8  Yes (*)     /usr/lib64/python2.6/lib-dynload/_bisectmodule.so
0x00007f314ded5580  0x00007f314deda7e8  Yes (*)     /usr/lib64/python2.6/lib-dynload/pyexpat.so
0x00007f314dcc2750  0x00007f314dccab58  Yes (*)     /usr/lib64/python2.6/lib-dynload/datetime.so
0x00007f314dab79d0  0x00007f314dabb288  Yes (*)     /usr/lib64/python2.6/site-packages/enchant/_enchant.so
0x00000032a5a02da0  0x00000032a5a08098  Yes (*)     /usr/lib64/libenchant.so.1
0x00007f314d8b1ab0  0x00007f314d8b3b28  Yes (*)     /usr/lib64/enchant/libenchant_myspell.so
0x00007f314d654230  0x00007f314d675bd8  Yes (*)     /usr/lib64/libhunspell-1.2.so.0
0x00000032918563f0  0x00000032918c33f6  Yes (*)     /usr/lib64/libstdc++.so.6
0x000000328fc02910  0x000000328fc12f48  Yes (*)     /lib64/libgcc_s.so.1
0x00007f314d449050  0x00007f314d449698  Yes (*)     /usr/lib64/python2.6/site-packages/gtk-2.0/gtkspell.so
0x00007f314d244ad0  0x00007f314d246e78  Yes (*)     /usr/lib64/libgtkspell.so.0
0x00007f314cd3e260  0x00007f314cd3edc8  Yes (*)     /usr/lib64/python2.6/lib-dynload/_hashlib.so
0x00007f314cb304f0  0x00007f314cb366f8  Yes (*)     /usr/lib64/python2.6/site-packages/gtk-2.0/gconf.so
0x00007f314c927b50  0x00007f314c927fd8  Yes (*)     /usr/lib64/gtk-2.0/2.10.0/loaders/svg_loader.so
0x00000032a0408560  0x00000032a042d4e8  Yes (*)     /usr/lib64/librsvg-2.so.2
0x000000329f00f700  0x000000329f02cc78  Yes (*)     /usr/lib64/libgsf-1.so.114
0x00007f314c6f5610  0x00007f314c713f08  Yes (*)     /usr/lib64/libcroco-0.6.so.3
0x00007f314c4da630  0x00007f314c4e6ca8  Yes (*)     /lib64/libbz2.so.1
0x00007f3148948aa0  0x00007f3148961bb8  Yes (*)     /usr/lib64/gio/modules/libgvfsdbus.so
0x00007f3148731190  0x00007f314873b418  Yes (*)     /usr/lib64/libgvfscommon.so.0
0x000000329b402860  0x000000329b40a478  Yes (*)     /lib64/libudev.so.0
0x00007f31484bdb00  0x00007f31484c2548  Yes (*)     /usr/lib64/python2.6/lib-dynload/itertoolsmodule.so
0x00007f3148296d60  0x00007f31482ad3b8  Yes (*)     /usr/lib64/python2.6/site-packages/goocanvasmodule.so
0x00007f3148055ec0  0x00007f314807c2a8  Yes (*)     /usr/lib64/libgoocanvas.so.3
0x00007f3147d63050  0x00007f3147d65f88  Yes (*)     /usr/lib64/libcanberra-0.24/libcanberra-pulse.so
0x00007f3147b29e50  0x00007f3147b51398  Yes (*)     /usr/lib64/libpulse.so.0
0x000000329e40f460  0x000000329e43a758  Yes (*)     /usr/lib64/libpulsecommon-0.9.21.so
0x00000032950019f0  0x00000032950062a8  Yes (*)     /usr/lib64/libSM.so.6
0x0000003295404d70  0x0000003295413778  Yes (*)     /usr/lib64/libICE.so.6
0x000000329e8013b0  0x000000329e8043b8  Yes (*)     /usr/lib64/libXtst.so.6
0x000000329e002ee0  0x000000329e006a88  Yes (*)     /lib64/libwrap.so.0
0x000000329c005540  0x000000329c046ec8  Yes (*)     /usr/lib64/libsndfile.so.1
0x000000329d8011c0  0x000000329d8037e8  Yes (*)     /usr/lib64/libasyncns.so.0
0x00007f314790a070  0x00007f3147917a08  Yes (*)     /lib64/libnsl.so.1
0x00000032a000be70  0x00000032a0030e08  Yes (*)     /usr/lib64/libFLAC.so.8
0x0000003298c139c0  0x0000003298c15eb8  Yes (*)     /usr/lib64/libvorbisenc.so.2
0x00007f3142441c00  0x00007f314244e128  Yes (*)     /usr/lib64/gio/modules/libgioremote-volume-monitor.so
0x00007f3141236cb0  0x00007f3141239088  Yes (*)     /usr/lib64/python2.6/lib-dynload/_csv.so
0x00007f3141033c80  0x00007f31410341a8  Yes (*)     /usr/lib64/python2.6/lib-dynload/grpmodule.so
0x00007f3140e2f3b0  0x00007f3140e311f8  Yes (*)     /usr/lib64/python2.6/lib-dynload/zlibmodule.so
0x00007f3140c21d60  0x00007f3140c286e8  Yes (*)     /usr/lib64/python2.6/lib-dynload/_sqlite3.so
0x000000329ec08b20  0x000000329ec758c8  Yes (*)     /usr/lib64/libsqlite3.so.0
0x00007f3140195650  0x00007f31401973c8  Yes (*)     /usr/lib64/gtk-2.0/2.10.0/loaders/libpixbufloader-jpeg.so
0x00007f31335de4a0  0x00007f31335f8008  Yes (*)     /usr/lib64/libjpeg.so.62
(*): Shared library is missing debugging information.
$1 = 0x0
No symbol "__glib_assert_msg" in current context.
rax            0x0	0
rbx            0x2	2
rcx            0xffffffffffffffff	-1
rdx            0x6	6
rsi            0x2b7e	11134
rdi            0x2b7e	11134
rbp            0x4	0x4
rsp            0x7fff88afbce8	0x7fff88afbce8
r8             0x47a3a10	75119120
r9             0x21	33
r10            0x8	8
r11            0x206	518
r12            0x7fff88afc2f0	140735486608112
r13            0x3	3
r14            0x7fff88afbe80	140735486606976
r15            0x328c2fb580	217100301696
rip            0x7f315a1559a5	0x7f315a1559a5 <raise+53>
eflags         0x206	[ PF IF ]
cs             0x33	51
ss             0x2b	43
ds             0x0	0
es             0x0	0
fs             0x0	0
gs             0x0	0
Dump of assembler code for function raise:
   0x00007f315a155970 <+0>:	mov    %fs:0x2d4,%eax
   0x00007f315a155978 <+8>:	mov    %fs:0x2d0,%esi
   0x00007f315a155980 <+16>:	test   %esi,%esi
   0x00007f315a155982 <+18>:	jne    0x7f315a1559b0 <raise+64>
   0x00007f315a155984 <+20>:	mov    $0xba,%eax
   0x00007f315a155989 <+25>:	syscall 
   0x00007f315a15598b <+27>:	mov    %eax,%esi
   0x00007f315a15598d <+29>:	mov    %eax,%fs:0x2d0
   0x00007f315a155995 <+37>:	movslq %edi,%rdx
   0x00007f315a155998 <+40>:	movslq %esi,%rsi
   0x00007f315a15599b <+43>:	movslq %eax,%rdi
   0x00007f315a15599e <+46>:	mov    $0xea,%eax
   0x00007f315a1559a3 <+51>:	syscall 
=> 0x00007f315a1559a5 <+53>:	cmp    $0xfffffffffffff000,%rax
   0x00007f315a1559ab <+59>:	ja     0x7f315a1559bf <raise+79>
   0x00007f315a1559ad <+61>:	repz retq 
   0x00007f315a1559af <+63>:	nop
   0x00007f315a1559b0 <+64>:	test   %eax,%eax
   0x00007f315a1559b2 <+66>:	jg     0x7f315a155995 <raise+37>
   0x00007f315a1559b4 <+68>:	test   $0x7fffffff,%eax
   0x00007f315a1559b9 <+73>:	jne    0x7f315a1559cf <raise+95>
   0x00007f315a1559bb <+75>:	mov    %esi,%eax
   0x00007f315a1559bd <+77>:	jmp    0x7f315a155995 <raise+37>
   0x00007f315a1559bf <+79>:	mov    0x3465da(%rip),%rdx        # 0x7f315a49bfa0
   0x00007f315a1559c6 <+86>:	neg    %eax
   0x00007f315a1559c8 <+88>:	mov    %eax,%fs:(%rdx)
   0x00007f315a1559cb <+91>:	or     $0xffffffffffffffff,%eax
   0x00007f315a1559ce <+94>:	retq   
   0x00007f315a1559cf <+95>:	neg    %eax
   0x00007f315a1559d1 <+97>:	jmp    0x7f315a155995 <raise+37>
End of assembler dump.

# debuginfo-install gramps
Loaded plugins: auto-update-debuginfo, presto, refresh-packagekit
enabling fedora-debuginfo
enabling rpmfusion-nonfree-debuginfo
enabling rpmfusion-free-updates-debuginfo
enabling rpmfusion-free-debuginfo
enabling updates-debuginfo
enabling rpmfusion-nonfree-updates-debuginfo
fedora-debuginfo/metalink                                |  21 kB     00:00     
rpmfusion-free-debuginfo                                 | 1.2 kB     00:00     
rpmfusion-free-updates-debuginfo                         | 2.3 kB     00:00     
rpmfusion-free-updates-debuginfo/primary_db              |  45 kB     00:00     
rpmfusion-nonfree-debuginfo                              | 1.2 kB     00:00     
rpmfusion-nonfree-updates-debuginfo                      | 2.3 kB     00:00     
updates-debuginfo/metalink                               |  17 kB     00:00     
updates-debuginfo                                        | 3.1 kB     00:00     
http://ftp.tudelft.nl/download.fedora.redhat.com/linux/updates/13/x86_64/debug/repodata/repomd.xml: [Errno -1] repomd.xml does not match metalink for updates-debuginfo
Trying other mirror.
updates-debuginfo                                        | 3.1 kB     00:00     
updates-debuginfo/primary_db                             | 436 kB     00:00     
Could not find debuginfo for main pkg: gramps-3.2.2-1.fc13.noarch
No debuginfo packages available to install

Comment 1 udo 2010-10-10 14:34:23 UTC
Oh, and yes, we lose data. Dunno if it is in the export but absolutely not in the database that was being exported. Stuff entered since startup before the export is lost.

Comment 2 Fedora Update System 2010-10-11 03:10:16 UTC
gramps-3.2.4-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/gramps-3.2.4-1.fc13

Comment 3 Fedora Update System 2010-10-11 19:23:39 UTC
gramps-3.2.4-1.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update gramps'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/gramps-3.2.4-1.fc13

Comment 4 udo 2010-10-12 14:58:14 UTC
First export I tried with this update was successful. Needs more testing of course but this is promising.

Comment 5 Fedora Update System 2010-10-30 23:48:18 UTC
gramps-3.2.4-2.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.